﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

namespace UploadImage_CS
{
    public partial class SpreadImage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack) return;
           
        }
        protected void btnUpload_Click(object sender, EventArgs e)
        {
            DirectoryInfo di = new DirectoryInfo(Server.MapPath("Image"));
            FileInfo[] rgFiles = di.GetFiles("*.jpg");
            foreach (FileInfo fi in rgFiles)
            {
                fi.Delete();
            }
            // Check whether file upload control has a file
            if (FileUpload1.HasFile)
            {
                //check whether the selected file is a .jpg image file
                if (FileUpload1.PostedFile.ContentType == "image/jpeg")
                {
                    //limit the image file size in bytes.
                    if (FileUpload1.PostedFile.ContentLength < 10000000)
                    {
                        //upload the file to "Image" folder
                        string filename = Server.MapPath("Image") + "\\" + Path.GetFileName(FileUpload1.FileName);
                        // save the file to "Image" folder
                        FileUpload1.SaveAs(filename);
                        // create an ImageCellType object
                        FarPoint.Web.Spread.ImageCellType img = new FarPoint.Web.Spread.ImageCellType();
                        // set the ImageUrl property for ImageCellType object to the uploaded file in "img" folder
                        img.ImageUrl = "Image/" + FileUpload1.FileName;
                        // set the celltype for Spread sheet's cell(0,0) to image cell type
                        FpSpread1.ActiveSheetView.Cells[0, 0].CellType = img;
                        lblAfterUpload.Text = "Image uploaded successfully";
                    }
                }
            }


        }
    }
}